package hanson.xyz.vpnhotspotmod.util;

@kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u0000D\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0003\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\r\n\u0002\b\u0003\b\u00c6\u0002\u0018\u00002\u00020\u0001:\u0002\u0016\u0017B\u0007\b\u0002\u00a2\u0006\u0002\u0010\u0002J\u000e\u0010\r\u001a\n\u0012\u0006\u0012\u0004\u0018\u00010\u000f0\u000eJ\u0012\u0010\u0010\u001a\u0004\u0018\u00010\u00112\u0006\u0010\u0012\u001a\u00020\u0013H\u0002J\f\u0010\u0014\u001a\u00020\n*\u00020\u0015H\u0002R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082T\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0004X\u0082T\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0004X\u0082T\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\bX\u0082T\u00a2\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082\u0004\u00a2\u0006\u0002\n\u0000R\u000e\u0010\u000b\u001a\u00020\fX\u0082\u0004\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u0018"}, d2 = {"Lhanson/xyz/vpnhotspotmod/util/UpdateChecker;", "", "()V", "KEY_LAST_FETCHED", "", "KEY_PUBLISHED", "KEY_VERSION", "UPDATE_INTERVAL", "", "myVer", "Lhanson/xyz/vpnhotspotmod/util/UpdateChecker$SemVer;", "semverParser", "Ljava/util/regex/Pattern;", "check", "Lkotlinx/coroutines/flow/Flow;", "Lhanson/xyz/vpnhotspotmod/util/AppUpdate;", "findUpdate", "Lhanson/xyz/vpnhotspotmod/util/UpdateChecker$GitHubUpdate;", "response", "Lorg/json/JSONArray;", "toSemVer", "", "GitHubUpdate", "SemVer", "mobile_freedomDebug"})
public final class UpdateChecker {
    @org.jetbrains.annotations.NotNull
    private static final java.lang.String KEY_LAST_FETCHED = "update.lastFetched";
    @org.jetbrains.annotations.NotNull
    private static final java.lang.String KEY_VERSION = "update.version";
    @org.jetbrains.annotations.NotNull
    private static final java.lang.String KEY_PUBLISHED = "update.published";
    private static final int UPDATE_INTERVAL = 21600000;
    @org.jetbrains.annotations.NotNull
    private static final java.util.regex.Pattern semverParser = null;
    @org.jetbrains.annotations.NotNull
    private static final hanson.xyz.vpnhotspotmod.util.UpdateChecker.SemVer myVer = null;
    @org.jetbrains.annotations.NotNull
    public static final hanson.xyz.vpnhotspotmod.util.UpdateChecker INSTANCE = null;
    
    private UpdateChecker() {
        super();
    }
    
    private final hanson.xyz.vpnhotspotmod.util.UpdateChecker.SemVer toSemVer(java.lang.CharSequence $this$toSemVer) {
        return null;
    }
    
    private final hanson.xyz.vpnhotspotmod.util.UpdateChecker.GitHubUpdate findUpdate(org.json.JSONArray response) {
        return null;
    }
    
    @org.jetbrains.annotations.NotNull
    public final kotlinx.coroutines.flow.Flow<hanson.xyz.vpnhotspotmod.util.AppUpdate> check() {
        return null;
    }
    
    @kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u0000<\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\t\n\u0002\b\u0006\n\u0002\u0010\b\n\u0002\b\u0006\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\u0000\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\b\u0082\b\u0018\u00002\u00020\u0001B\u0015\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005\u00a2\u0006\u0002\u0010\u0006J\t\u0010\u000f\u001a\u00020\u0003H\u00c6\u0003J\t\u0010\u0010\u001a\u00020\u0005H\u00c6\u0003J\u001d\u0010\u0011\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u00032\b\b\u0002\u0010\u0004\u001a\u00020\u0005H\u00c6\u0001J\u0013\u0010\u0012\u001a\u00020\u00132\b\u0010\u0014\u001a\u0004\u0018\u00010\u0015H\u00d6\u0003J\t\u0010\u0016\u001a\u00020\fH\u00d6\u0001J\t\u0010\u0017\u001a\u00020\u0003H\u00d6\u0001J\u0018\u0010\u0018\u001a\u00020\u00192\u0006\u0010\u001a\u001a\u00020\u001b2\u0006\u0010\u001c\u001a\u00020\fH\u0016R\u0014\u0010\u0002\u001a\u00020\u0003X\u0096\u0004\u00a2\u0006\b\n\u0000\u001a\u0004\b\u0007\u0010\bR\u0011\u0010\u0004\u001a\u00020\u0005\u00a2\u0006\b\n\u0000\u001a\u0004\b\t\u0010\nR\u0014\u0010\u000b\u001a\u00020\f8VX\u0096\u0004\u00a2\u0006\u0006\u001a\u0004\b\r\u0010\u000e\u00a8\u0006\u001d"}, d2 = {"Lhanson/xyz/vpnhotspotmod/util/UpdateChecker$GitHubUpdate;", "Lhanson/xyz/vpnhotspotmod/util/AppUpdate;", "message", "", "published", "", "(Ljava/lang/String;J)V", "getMessage", "()Ljava/lang/String;", "getPublished", "()J", "stalenessDays", "", "getStalenessDays", "()Ljava/lang/Integer;", "component1", "component2", "copy", "equals", "", "other", "", "hashCode", "toString", "updateForResult", "", "activity", "Landroid/app/Activity;", "requestCode", "mobile_freedomDebug"})
    static final class GitHubUpdate implements hanson.xyz.vpnhotspotmod.util.AppUpdate {
        @org.jetbrains.annotations.NotNull
        private final java.lang.String message = null;
        private final long published = 0L;
        
        public GitHubUpdate(@org.jetbrains.annotations.NotNull
        java.lang.String message, long published) {
            super();
        }
        
        @java.lang.Override
        @org.jetbrains.annotations.NotNull
        public java.lang.String getMessage() {
            return null;
        }
        
        public final long getPublished() {
            return 0L;
        }
        
        @java.lang.Override
        @org.jetbrains.annotations.NotNull
        public java.lang.Integer getStalenessDays() {
            return null;
        }
        
        @java.lang.Override
        public void updateForResult(@org.jetbrains.annotations.NotNull
        android.app.Activity activity, int requestCode) {
        }
        
        @org.jetbrains.annotations.NotNull
        public final java.lang.String component1() {
            return null;
        }
        
        public final long component2() {
            return 0L;
        }
        
        @org.jetbrains.annotations.NotNull
        public final hanson.xyz.vpnhotspotmod.util.UpdateChecker.GitHubUpdate copy(@org.jetbrains.annotations.NotNull
        java.lang.String message, long published) {
            return null;
        }
        
        @java.lang.Override
        public boolean equals(@org.jetbrains.annotations.Nullable
        java.lang.Object other) {
            return false;
        }
        
        @java.lang.Override
        @org.jetbrains.annotations.Nullable
        public java.lang.Boolean getDownloaded() {
            return null;
        }
        
        @java.lang.Override
        public int hashCode() {
            return 0;
        }
        
        @java.lang.Override
        @org.jetbrains.annotations.NotNull
        public java.lang.String toString() {
            return null;
        }
    }
    
    @kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0010\u000f\n\u0000\n\u0002\u0010\b\n\u0002\b\u000e\n\u0002\u0010\u000b\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\b\u0082\b\u0018\u00002\b\u0012\u0004\u0012\u00020\u00000\u0001B\u001d\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0003\u0012\u0006\u0010\u0005\u001a\u00020\u0003\u00a2\u0006\u0002\u0010\u0006J\u0011\u0010\u000b\u001a\u00020\u00032\u0006\u0010\f\u001a\u00020\u0000H\u0096\u0002J\t\u0010\r\u001a\u00020\u0003H\u00c6\u0003J\t\u0010\u000e\u001a\u00020\u0003H\u00c6\u0003J\t\u0010\u000f\u001a\u00020\u0003H\u00c6\u0003J\'\u0010\u0010\u001a\u00020\u00002\b\b\u0002\u0010\u0002\u001a\u00020\u00032\b\b\u0002\u0010\u0004\u001a\u00020\u00032\b\b\u0002\u0010\u0005\u001a\u00020\u0003H\u00c6\u0001J\u0013\u0010\u0011\u001a\u00020\u00122\b\u0010\f\u001a\u0004\u0018\u00010\u0013H\u00d6\u0003J\t\u0010\u0014\u001a\u00020\u0003H\u00d6\u0001J\t\u0010\u0015\u001a\u00020\u0016H\u00d6\u0001R\u0011\u0010\u0002\u001a\u00020\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\u0007\u0010\bR\u0011\u0010\u0004\u001a\u00020\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\t\u0010\bR\u0011\u0010\u0005\u001a\u00020\u0003\u00a2\u0006\b\n\u0000\u001a\u0004\b\n\u0010\b\u00a8\u0006\u0017"}, d2 = {"Lhanson/xyz/vpnhotspotmod/util/UpdateChecker$SemVer;", "", "major", "", "minor", "revision", "(III)V", "getMajor", "()I", "getMinor", "getRevision", "compareTo", "other", "component1", "component2", "component3", "copy", "equals", "", "", "hashCode", "toString", "", "mobile_freedomDebug"})
    static final class SemVer implements java.lang.Comparable<hanson.xyz.vpnhotspotmod.util.UpdateChecker.SemVer> {
        private final int major = 0;
        private final int minor = 0;
        private final int revision = 0;
        
        public SemVer(int major, int minor, int revision) {
            super();
        }
        
        public final int getMajor() {
            return 0;
        }
        
        public final int getMinor() {
            return 0;
        }
        
        public final int getRevision() {
            return 0;
        }
        
        @java.lang.Override
        public int compareTo(@org.jetbrains.annotations.NotNull
        hanson.xyz.vpnhotspotmod.util.UpdateChecker.SemVer other) {
            return 0;
        }
        
        public final int component1() {
            return 0;
        }
        
        public final int component2() {
            return 0;
        }
        
        public final int component3() {
            return 0;
        }
        
        @org.jetbrains.annotations.NotNull
        public final hanson.xyz.vpnhotspotmod.util.UpdateChecker.SemVer copy(int major, int minor, int revision) {
            return null;
        }
        
        @java.lang.Override
        public boolean equals(@org.jetbrains.annotations.Nullable
        java.lang.Object other) {
            return false;
        }
        
        @java.lang.Override
        public int hashCode() {
            return 0;
        }
        
        @java.lang.Override
        @org.jetbrains.annotations.NotNull
        public java.lang.String toString() {
            return null;
        }
    }
}